Package gov.nasa.gsfc.sscweb.schema

# Enum Class FootpointRegion

java.lang.Object
java.lang.Enum<FootpointRegion>
gov.nasa.gsfc.sscweb.schema.FootpointRegion

All Implemented Interfaces:
  `Serializable`, `Comparable<FootpointRegion>`, `Constable`

public enum FootpointRegion extends Enum<FootpointRegion>
The different footpoint regions supported by SSC. <p>Java class for FootpointRegion</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="FootpointRegion"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="NotApplicable"/> <enumeration value="NorthCusp"/> <enumeration value="SouthCusp"/> <enumeration value="NorthCleft"/> <enumeration value="SouthCleft"/> <enumeration value="NorthAuroralOval"/> <enumeration value="SouthAuroralOval"/> <enumeration value="NorthPolarCap"/> <enumeration value="SouthPolarCap"/> <enumeration value="NorthMidLatitude"/> <enumeration value="SouthMidLatitude"/> <enumeration value="LowLatitude"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LOW_LATITUDE`
  Low-latitude region.
  `NORTH_AURORAL_OVAL`
  Northern auroral oval region.
  `NORTH_CLEFT`
  Northern cleft region.
  `NORTH_CUSP`
  Northern cusp region.
  `NORTH_MID_LATITUDE`
  Northern mid-latitude region.
  `NORTH_POLAR_CAP`
  Northern polar cap region.
  `NOT_APPLICABLE`
  Region value for magnetic field traced footpoints indicating that the satellite was outside the magnetic field and therefore no field line trace could be performed.
  `SOUTH_AURORAL_OVAL`
  Southern auroral oval region.
  `SOUTH_CLEFT`
  Southern cleft region.
  `SOUTH_CUSP`
  Southern cusp region.
  `SOUTH_MID_LATITUDE`
  Southern mid-latitude region.
  `SOUTH_POLAR_CAP`
  Southern polar cap region.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `FootpointRegion(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FootpointRegion`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static FootpointRegion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FootpointRegion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_APPLICABLE

    public static final FootpointRegion NOT_APPLICABLE
    Region value for magnetic field traced footpoints indicating that the satellite was outside the magnetic field and therefore no field line trace could be performed.

  - ### NORTH_CUSP

    public static final FootpointRegion NORTH_CUSP
    Northern cusp region.

  - ### SOUTH_CUSP

    public static final FootpointRegion SOUTH_CUSP
    Southern cusp region.

  - ### NORTH_CLEFT

    public static final FootpointRegion NORTH_CLEFT
    Northern cleft region.

  - ### SOUTH_CLEFT

    public static final FootpointRegion SOUTH_CLEFT
    Southern cleft region.

  - ### NORTH_AURORAL_OVAL

    public static final FootpointRegion NORTH_AURORAL_OVAL
    Northern auroral oval region.

  - ### SOUTH_AURORAL_OVAL

    public static final FootpointRegion SOUTH_AURORAL_OVAL
    Southern auroral oval region.

  - ### NORTH_POLAR_CAP

    public static final FootpointRegion NORTH_POLAR_CAP
    Northern polar cap region.

  - ### SOUTH_POLAR_CAP

    public static final FootpointRegion SOUTH_POLAR_CAP
    Southern polar cap region.

  - ### NORTH_MID_LATITUDE

    public static final FootpointRegion NORTH_MID_LATITUDE
    Northern mid-latitude region.

  - ### SOUTH_MID_LATITUDE

    public static final FootpointRegion SOUTH_MID_LATITUDE
    Southern mid-latitude region.

  - ### LOW_LATITUDE

    public static final FootpointRegion LOW_LATITUDE
    Low-latitude region.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### FootpointRegion

    private FootpointRegion(String v)

- ## Method Details

  - ### values

    public static FootpointRegion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FootpointRegion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static FootpointRegion fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.